curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/embeddedWallets/walletAccounts/createRequest \
--header 'Authorization: Bearer <token>'{
"organizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"parameters": {
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"accounts": [
{
"curve": "An example name",
"pathFormat": "An example name",
"path": "<string>",
"addressFormat": "An example name"
}
]
},
"timestampMs": "An example name",
"type": "An example name"
}Generates the turnkey request body for a user’s create wallet account request
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/embeddedWallets/walletAccounts/createRequest \
--header 'Authorization: Bearer <token>'{
"organizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"parameters": {
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"accounts": [
{
"curve": "An example name",
"pathFormat": "An example name",
"path": "<string>",
"addressFormat": "An example name"
}
]
},
"timestampMs": "An example name",
"type": "An example name"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
EVM, SOL, SUI, BTC, TON V2 CreateWalletAccountRequest body
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Show child attributes
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
Was this page helpful?